From 583d9a5d4ba200470dfda059cbadc524b17b7de0 Mon Sep 17 00:00:00 2001
From: rc-05 <rc23@email.it>
Date: Thu, 13 Jun 2019 00:00:40 +0200
Subject: [PATCH 1/2] New package: otus-2.0

Added "nocross" flag.

The repl for the otus interpreter could not be compiled for architectures other that i686 and amd64
---
 srcpkgs/otus/template | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)
 create mode 100644 srcpkgs/otus/template

diff --git a/srcpkgs/otus/template b/srcpkgs/otus/template
new file mode 100644
index 00000000000..dac316ca31f
--- /dev/null
+++ b/srcpkgs/otus/template
@@ -0,0 +1,18 @@
+# Template file for 'otus'
+pkgname=otus
+version=2.0
+revision=1
+wrksrc=ol-${version}
+build_style=gnu-makefile
+short_desc="Purely functional dialect of Lisp"
+maintainer="rc-05 <rc23@email.it>"
+license="LGPL-3.0-or-later, MIT"
+homepage="https://yuriy-chumak.github.io/ol/"
+distfiles="https://github.com/yuriy-chumak/ol/archive/v${version}.tar.gz"
+checksum=5ad537b6bd032549334d1c72e742b78b7d40ccb8d1491d5cf0ce952964deeeea
+nocross="Failed to compile repl"
+
+post_install() {
+	vlicense LICENSE
+}
+

From 8c5ba2b7493be66e34e7da9a48dc09dafab427ff Mon Sep 17 00:00:00 2001
From: rc-05 <rc23@email.it>
Date: Sat, 13 Jul 2019 14:12:04 +0200
Subject: [PATCH 2/2] New package: ol-2.0

---
 srcpkgs/ol/patches/ol.patch   | 21 +++++++++++++++++++++
 srcpkgs/{otus => ol}/template |  6 ++----
 2 files changed, 23 insertions(+), 4 deletions(-)
 create mode 100644 srcpkgs/ol/patches/ol.patch
 rename srcpkgs/{otus => ol}/template (84%)

diff --git a/srcpkgs/ol/patches/ol.patch b/srcpkgs/ol/patches/ol.patch
new file mode 100644
index 00000000000..80a56845b22
--- /dev/null
+++ b/srcpkgs/ol/patches/ol.patch
@@ -0,0 +1,21 @@
+# Thanks to Chocimier for the patch!
+
+diff --git Makefile Makefile
+index 29ea60f..d586472 100644
+--- Makefile
++++ Makefile
+@@ -7,6 +7,7 @@ export OL_HOME=libraries
+ all: release
+ 
+ CC ?= gcc
++LD ?= ld
+ UNAME ?= $(shell uname -s)
+ 
+ # 'configure' part:
+@@ -167,7 +168,7 @@ src/olvm.c: extensions/ffi.c
+ 	touch src/olvm.c
+ 
+ $(repl.o): repl
+-	ld -r -b binary -o $(repl.o) repl
++	$(LD) -r -b binary -o $(repl.o) repl
+
diff --git a/srcpkgs/otus/template b/srcpkgs/ol/template
similarity index 84%
rename from srcpkgs/otus/template
rename to srcpkgs/ol/template
index dac316ca31f..e094ba6156d 100644
--- a/srcpkgs/otus/template
+++ b/srcpkgs/ol/template
@@ -1,5 +1,5 @@
-# Template file for 'otus'
-pkgname=otus
+# Template file for 'ol'
+pkgname=ol
 version=2.0
 revision=1
 wrksrc=ol-${version}
@@ -10,9 +10,7 @@ license="LGPL-3.0-or-later, MIT"
 homepage="https://yuriy-chumak.github.io/ol/"
 distfiles="https://github.com/yuriy-chumak/ol/archive/v${version}.tar.gz"
 checksum=5ad537b6bd032549334d1c72e742b78b7d40ccb8d1491d5cf0ce952964deeeea
-nocross="Failed to compile repl"
 
 post_install() {
 	vlicense LICENSE
 }
-
